{*-- SMARTY TEMPLATE FR PODBLOGGER INDEX-SEITE ----------------------

Dies ist ein Template fr die von podblogger benutzte SMARTY-Template-Engine.
Es legt das Layout fr die Startseite von podblogger fest.

Sie knnen diese Datei wie eine HTML-Datei editieren. Podblogger nutzt Sie dann
als Vorlage und trgt die spezifischen Daten (z.B. Daten der vorhandenen MP3-Dateien)
automatisch bei jedem Aufruf der Indexseite in diese Vorlage ein.

Alle SMARTY-Datenfelder und -Befehle mssen in geschweiften Klammern stehen.

Folgede SMARTY-Datenfelder werden standardmig von podblogger zur Verfgung gestellt
und knnen in diesem und anderen Templates fr die Indexseite verwendet werden:

$PODCAST_sitename  			= Name der Seite
$PODCAST_admin_name			= Der eingestellte Name des Administrators
$PODCAST_admin_mail			= Die eingestellte eMail-Adresse des Administrators
$PODCAST_httpbaseadress		= Die http-Adresse unter der Ihr podblogger im Netz erreichbar ist
$podblogger_version			= Die Versionsnummer von podblogger;

$PODCAST_item_count			= Anzahl der im folgenden Array enthaltenden Datenstze
$PODCAST_item_array			= Ist ein Array mit den MP3-Datenstzen:
							  Es muss eine SMARTY-foreach-Schleife benutzt werden, um alle Datenstze zu durchlaufen
							  Bepspiel: {foreach from=$PODCAST_item_array item=single_item} ..... {/foreach}
							  Innerhalb dieser foreach-Schleife knnen fr $single_item folgende Unterfelder verwendet werden:
							  $single_item.titel			= Titel des MP3-Datensatzes
							  $single_item.link				= Die http-Link-Adresse zur MP3-Datei
							  $single_item.beschreibung		= Beschreibungstext der MP3-Datei
							  $single_item.kategorie		= Kategorie des MP3-Datensatzes
							  $single_item.dateigroesse 	= Gre der Datei in MB
							  $single_item.autor_name		= Name des Autors   (wenn nicht angegeben, dann = "-")
							  $single_item.autor_mail		= eMail des Autors  (wenn nicht angegeben, dann = "-")
							  $single_item.zeit				= Einstelldatum des MP3-Datensatzes (als formatierter String)
							  $single_item.zeit_int			= Einstelldatum des MP3-Datensatzes (als Unix-Timestamp)
							  $single_item.audioplayer_code = HTML-Code zum Einbinden des MP3-Flashplayers

$PODCAST_kategorien_array	= Ist ein Array mit den Titeln der einzelnen eingestellten Kategorien:
                              Innerhalb der folgenden SMARTY-foreach-Schleife kann dann $single_kategorie direkt als Platzhalter
                              fr den jeweiligen Kategorie-Namen benutzt werden:
                              {foreach from=$PODCAST_kategorien_array item=single_kategorie} ..... {/foreach}

$PODCAST_backlink			= Der Zurck-http-link, wenn die MP3-Datenstze auf meheren Seiten angezeigt werden
							 (enthlt "off", wenn keine Zurck-Seite vorhanden )
$PODCAST_forwardlink		= Der Vorwrts-http-link, wenn die MP3-Datenstze auf meheren Seiten angezeigt werden
							 (enthlt "off", wenn keine weiteren Seiten vorhanden sind)

Folgende SMARTY-Datenfelder werden speziell fr dieses Layout zur Verfgung gestellt:

$welcometext				= Der eingestellte Willkommenstext
$headlinebild				= Die http-Adresse eines Bildes, das die Textberschrift ersetzen soll
$publicupload				= Wenn "JA", dann mchte der Benutzer, dass der Uploadlink angezeigt wird

 ---------------------------------------------------------------------*}

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

{*-- HTML-HEAD -------------------------------------------------------*}

<head>
<title>{$PODCAST_sitename}</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="htmlContent/design.css" type="text/css">
</head>
{*--------------------------------------------------------------------*}

<body>

{*-- SEITEN-KOPF -----------------------------------------------------*}

<table class="haupttabelle" width="100%" >
  <tr>
    <td class="visible" colspan="2"><h1 class="randzelle">

    {* Entweder Bild als berschrift (wenns gesetzt ist) oder den Podcastnamen*}

    {if $headlinebild eq ""}
    {$PODCAST_sitename}
    {/if}
    {if $headlinebild ne ""}
    <img src="{$headlinebild}">
    {/if}

    </h1></td>
  </tr>
{*--------------------------------------------------------------------*}

{*-- WILKOMMENS-TEXT -------------------------------------------------*}

  <tr>
    <td class="visible" width="70%" valign="top">
    {if $welcometext ne ""}
      {if $PODCAST_category eq ""}
        <p class="randzelle">
        <table width="97%" border="0" cellspacing="0" cellpadding="0">
        <tr><td>
        {$welcometext}
        </td></tr></table>
        </p>
      {/if}
    {/if}
    {if $welcometext eq ""}
      {if $showCatLinks eq "NEIN"}<br>{/if}
    {/if}
{*--------------------------------------------------------------------*}

{*-- Kategorie-Listing -----------------------------------------------*}

{if $showCatLinks ne "NEIN"}
  {if $welcometext eq ""}<br>{/if}
    <p class="randzelle"><font size="1">
  {if $PODCAST_category ne ""}
      <strong>{$PODCAST_category}&nbsp;::&nbsp;[</strong>&nbsp;<a href="index.php">Beitrge aller Kategorien anzeigen</a>&nbsp;<strong>]</strong>&nbsp;
  {/if}
  {if $PODCAST_category eq ""}
  <strong>Kategorien&nbsp;::&nbsp;</strong>
    {foreach from=$PODCAST_kategorien_array item=single_kategorie}
    <strong>[</strong>&nbsp;<a href="index.php?cat={$single_kategorie}">{$single_kategorie}</a>&nbsp;<strong>]</strong>&nbsp;
    {/foreach}
  {/if}
  {if $welcometext eq ""}<br>{/if}
    </font></p>
{/if}
{*--------------------------------------------------------------------*}

{*-- PODCAST BEITRAEGE -----------------------------------------------*}

   {* Hier wird eine SMARTY-foreach-Schleife benutzt, um das $PODCAST_item_array zu durchlaufen *}
   {foreach from=$PODCAST_item_array item=single_item}

           <table class="betragsbox" width="95%" border="1" cellpadding="3" cellspacing="0" bordercolor="#000000">
            <tr>
              <th class="visible" width="5%"><div align="center" class="text_klein">

              {if $single_item.audioplayer_code ne ""}
              {$single_item.audioplayer_code}
              {/if}

              {if $single_item.audioplayer_code eq ""}
                <strong><a href='{$single_item.link}'><img src="layoutPlugins/std_extended_v1/mp3.gif" border="0" align="absmiddle"></a></strong>
              {/if}

              </div></th>
              <th class="visible" width="63%" ><div align="left" class="text_beitragheadline"><strong>&nbsp;{$single_item.titel}</strong></div></th>
              <th class="visible" width="25%" ><div align="center" class="text_klein">
              <a href="index.php?cat={$single_item.kategorie}">{$single_item.kategorie}</a>
              </div></th>
            </tr>

            {if $single_item.beschreibung ne "-"}
              <tr>
              <td colspan="3" class="beschreibung">{$single_item.beschreibung}</td>
              </tr>
            {/if}

            <tr>
              <td colspan="2" class="autor">
             ( vom {$single_item.zeit} / ca. {$single_item.dateigroesse} MB

            {if $single_item.autor_name ne '-'}
              /&nbsp;Autor: {$single_item.autor_name}
              {if $single_item.autor_mail ne '-'} - {$single_item.autor_mail}{/if}
            {/if}
              )
              </td>

              <td class="download">
              <div align="center">

              <strong>[</strong>&nbsp;<a href='{$single_item.link}'>Download</a>&nbsp;<strong>]</strong></td>
              </div>
              </td>

            </tr>
          </table>&nbsp;
         {* &nbsp; *}
   {/foreach}
   {* ENDE der SMARTY-foreach-Schleife *}

   {if $PODCAST_item_count == 0}
    <p class="randzelle"><br>
    <strong>.... noch keine Beitr&auml;ge vorhanden ....</strong>
    </p>
   {/if}

{*--------------------------------------------------------------------*}

{*-- VOR & ZURCK BEI MEHR ALS EINER SEITE ---------------------------*}

    <p class="randzelle">
    {if $PODCAST_backlink ne "off"}
      <strong>[</strong>&nbsp;<a href='{$PODCAST_backlink}'><</a>&nbsp;<strong>]</strong>&nbsp;&nbsp;
    {/if}
    {if $PODCAST_forwardlink ne "off"}
      <strong>[</strong>&nbsp;<a href='{$PODCAST_forwardlink}'>></a>&nbsp;<strong>]</strong>&nbsp;
    {/if}
    </p>
    </td>
{*--------------------------------------------------------------------*}

    <td class="visible" width="21%" align="center" valign="top">

{*-- INCLUDING MENUTEMPLATE (Navigation)------------------------------*}

    {* Da sich weitere HTML-Seiten in podblogger als Unterseiten/-templates einbinden lassen, ist es sinnvoll das Men als
       ausgelagertes Teil-Template in einer eigenen Datei zu verwalten und hier mit dem SMARTY-include-Befehl einzubinden. *}

    {include file="std_extended_v1/menu.tpl" mainpage="TRUE"}

{*--------------------------------------------------------------------*}
      </td>
  </tr>
</table>
</body>
</html>